xine-lib: FTBFS on sparc

Bug #7880 reported by Debian Bug Importer on 2004-09-09
4
Affects Status Importance Assigned to Milestone
xine-lib (Debian)
Fix Released
Unknown
xine-lib (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #270884 http://bugs.debian.org/270884

# Automatically generated email from bts, devscripts version 2.8.4
 # curses reportbug for using wrong severities for FTBFS bugs
severity 270884 serious

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #270884 http://bugs.debian.org/270884

Debian Bug Importer (debzilla) wrote :
Download full text (18.4 KiB)

Message-Id: <email address hidden>
Date: Thu, 09 Sep 2004 21:25:04 +0200
From: Frank Lichtenheld <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: xine-lib: FTBFS on sparc

Package: xine-lib
Severity: serious
Justification: no longer builds from source

Since nobody has done that yet, let's make a bug about the consistent
SPARC build failures that were introduced several versions ago.

They all fail with:
make[6]: Entering directory `/build/buildd/xine-lib-1-rc5/src/libffmpeg/libavcodec/sparc'
source='dsputil_vis.c' object='dsputil_vis.lo' libtool=yes \
depfile='.deps/dsputil_vis.Plo' tmpdepfile='.deps/dsputil_vis.TPlo' \
depmode=gcc3 /bin/sh ../../../../depcomp \
/bin/sh ../../../../libtool-nofpic --mode=compile sparc-linux-gcc -DHAVE_CONFIG_H -I. -I. -I../../../.. -I../../../.. -I../../../../include -I../../../../include -I../../../../src -I../../../../src/xine-engine -I../../../../src/xine-engine -I../../../../src/xine-utils -I../../../../src/input -I../../../../src/input -DSIMPLE_IDCT -DHAVE_AV_CONFIG_H -DRUNTIME_CPUDETECT -DUSE_FASTMEMCPY -DCONFIG_RISKY -DCONFIG_DECODERS -DXINE_MPEG_ENCODER -DCONFIG_ZLIB -O3 -mcpu=supersparc -mtune=supersparc -funroll-loops -finline-functions -Wall -DNDEBUG -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_COMPILE -Wpointer-arith -Wnested-externs -Wcast-align -Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes -g -c -o dsputil_vis.lo `test -f 'dsputil_vis.c' || echo './'`dsputil_vis.c
mkdir .libs
 sparc-linux-gcc -DHAVE_CONFIG_H -I. -I. -I../../../.. -I../../../.. -I../../../../include -I../../../../include -I../../../../src -I../../../../src/xine-engine -I../../../../src/xine-engine -I../../../../src/xine-utils -I../../../../src/input -I../../../../src/input -DSIMPLE_IDCT -DHAVE_AV_CONFIG_H -DRUNTIME_CPUDETECT -DUSE_FASTMEMCPY -DCONFIG_RISKY -DCONFIG_DECODERS -DXINE_MPEG_ENCODER -DCONFIG_ZLIB -O3 -mcpu=supersparc -mtune=supersparc -funroll-loops -finline-functions -Wall -DNDEBUG -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_COMPILE -Wpointer-arith -Wnested-externs -Wcast-align -Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes -g -c dsputil_vis.c -MT dsputil_vis.lo -MD -MP -MF .deps/dsputil_vis.TPlo -fPIC -DPIC -o .libs/dsputil_vis.o
In file included from ../dsputil.h:31,
                 from dsputil_vis.c:35:
../common.h: In function `put_bits':
./common.h:448: warning: cast increases required alignment of target type
dsputil_vis.c: At top level:
dsputil_vis.c:3990: warning: no previous prototype for `get_pixels_vis'
dsputil_vis.c: In function `dsputil_init_vis':
dsputil_vis.c:4064: warning: assignment from incompatible pointer type
/tmp/ccm36rcO.s: Assembler messages:
/tmp/ccm36rcO.s:933: Error: Illegal operands: There are only 32 f registers; [0-31]
/tmp/ccm36rcO.s:941: Error: Illegal operands: There are only 32 f registers; [0-31]
/tmp/ccm36rcO.s:945: Error: Illegal operands: There are only 32 f registers; [0-31]
/tmp/ccm36rcO.s:949: Error: Illegal operands: There are only 32 f registers; [0-31]
/tmp/ccm36rcO.s:953: Error: Illegal operands: There are only 32 f registers; [0-31]
/tmp/ccm36rcO.s:989: Error: Illegal operands: There are only...

James Troup (elmo) wrote :

Sparc is not a release arch for warty.

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Thu, 9 Sep 2004 22:13:33 +0200
From: Frank Lichtenheld <email address hidden>
To: <email address hidden>
Subject: severity of 270884 is serious

# Automatically generated email from bts, devscripts version 2.8.4
 # curses reportbug for using wrong severities for FTBFS bugs
severity 270884 serious

See binutils bug 267824.

--
Blars Blarson <email address hidden>
    http://www.blars.org/blars.html
With Microsoft, failure is not an option. It is a standard feature.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 9 Sep 2004 23:10:30 -0700
From: Blars Blarson <email address hidden>
To: <email address hidden>
Subject: binutils bug already filed

See binutils bug 267824.

--
Blars Blarson <email address hidden>
    http://www.blars.org/blars.html
With Microsoft, failure is not an option. It is a standard feature.

More information on the xine-lib FTBFS on sparc:
(CCed to debian-sparc@l.d.o for proofreading :)
(CCed to binutils bug since it can probably closed now)

On Thu, Sep 09, 2004 at 11:10:30PM -0700, Blars Blarson wrote:
>
> See binutils bug 267824.

No, this isn't this one.
The build failures in glibc and fftw3 all occured at fmov* opcodes
and were fixed by the patch above to binutils.

The bug in xine-lib is actually simpler. The assembler code is
directly generated (mostly with cpp macros) and includes instructions
like
 ldd [%i1], %f40
(the 40 is hardcoded in the corresponding macro)

This works on sparc64, but obviously not on sparc32. Since xine-lib is
compiled using -mcpu=supersparc -mtune=supersparc, gas complains.
When compiling with -mcpu=ultrasparc, the build succeeds.

So the real problem in this case is that xine-lib tries to include
this code even when compiled on sparc32 (which perhaps nobody of
upstream ever has tested).

There are a few possible solutions to this problem:
1) compile with -mcpu=ultrasparc (probably not acceptable)
2) if I understand the code correctly, there is a non-assembler version
available of this functionality (the sparc optimisation was added in
an upstream release, prior to this xine-lib built fine on sparc)
This will probably require some Makefile hacking. On a first look
it didn't seem obvious where to begin...
3) deactivate the whole libavcodec on sparc. This is probably easier
Makefile hacking, but I hve no clue how important the functionality
is that would be missing then.
4) Change the macros so that they only use f0 - f31. Needs someone
with fluent sparc assembler and enough time ...

Gruesse,
--
Frank Lichtenheld <email address hidden>
www: http://www.djpig.de/

tags 270884 patch
thanks

The attached patch properly wraps the sparc64-specific optimizations
with the define provided in the sources for this purpose. Unless there
are other such problems lurking, I believe this patch is sufficient to
resolve the FTBFS on sparc.

Let me know if you want me to NMU for this problem.

Cheers,
--
Steve Langasek
postmodern programmer

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 23 Sep 2004 01:50:02 +0200
From: Frank Lichtenheld <email address hidden>
To: Blars Blarson <email address hidden>, <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: Bug#270884: binutils bug already filed

More information on the xine-lib FTBFS on sparc:
(CCed to debian-sparc@l.d.o for proofreading :)
(CCed to binutils bug since it can probably closed now)

On Thu, Sep 09, 2004 at 11:10:30PM -0700, Blars Blarson wrote:
>
> See binutils bug 267824.

No, this isn't this one.
The build failures in glibc and fftw3 all occured at fmov* opcodes
and were fixed by the patch above to binutils.

The bug in xine-lib is actually simpler. The assembler code is
directly generated (mostly with cpp macros) and includes instructions
like
 ldd [%i1], %f40
(the 40 is hardcoded in the corresponding macro)

This works on sparc64, but obviously not on sparc32. Since xine-lib is
compiled using -mcpu=supersparc -mtune=supersparc, gas complains.
When compiling with -mcpu=ultrasparc, the build succeeds.

So the real problem in this case is that xine-lib tries to include
this code even when compiled on sparc32 (which perhaps nobody of
upstream ever has tested).

There are a few possible solutions to this problem:
1) compile with -mcpu=ultrasparc (probably not acceptable)
2) if I understand the code correctly, there is a non-assembler version
available of this functionality (the sparc optimisation was added in
an upstream release, prior to this xine-lib built fine on sparc)
This will probably require some Makefile hacking. On a first look
it didn't seem obvious where to begin...
3) deactivate the whole libavcodec on sparc. This is probably easier
Makefile hacking, but I hve no clue how important the functionality
is that would be missing then.
4) Change the macros so that they only use f0 - f31. Needs someone
with fluent sparc assembler and enough time ...

Gruesse,
--
Frank Lichtenheld <email address hidden>
www: http://www.djpig.de/

Debian Bug Importer (debzilla) wrote :
Download full text (4.3 KiB)

Message-ID: <email address hidden>
Date: Wed, 22 Sep 2004 18:11:19 -0700
From: Steve Langasek <email address hidden>
To: <email address hidden>
Subject: Re: xine-lib: FTBFS on sparc

--LiQwW4YX+w4axhAx
Content-Type: multipart/mixed; boundary="pE2VAHO2njSJCslu"
Content-Disposition: inline

--pE2VAHO2njSJCslu
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

tags 270884 patch
thanks

The attached patch properly wraps the sparc64-specific optimizations
with the define provided in the sources for this purpose. Unless there
are other such problems lurking, I believe this patch is sufficient to
resolve the FTBFS on sparc.

Let me know if you want me to NMU for this problem.

Cheers,
--=20
Steve Langasek
postmodern programmer

--pE2VAHO2njSJCslu
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="xine-lib-270884.diff"
Content-Transfer-Encoding: quoted-printable

diff -u xine-lib-1-rc5/debian/changelog xine-lib-1-rc5/debian/changelog
--- xine-lib-1-rc5/debian/changelog
+++ xine-lib-1-rc5/debian/changelog
@@ -1,3 +1,15 @@
+xine-lib (1-rc5-1.1) unstable; urgency=3Dhigh
+
+ * Non-maintainer upload.
+ * High-urgency upload for a sarge-targetted RC fix.
+ * Use --build, not --host, to specify the architecture; otherwise
+ autoconf thinks we're cross-compiling when we aren't.
+ * src/libffmpeg/libavcodec/sparc/dsputil_vis.c et al: make this code
+ conditional on ENABLE_VIS, since that's what that define is for;
+ fixes FTBFS on sparc when using a 32-bit target (closes: #270884).
+
+ -- Steve Langasek <email address hidden> Wed, 22 Sep 2004 17:48:41 -0700
+
 xine-lib (1-rc5-1) unstable; urgency=3Dmedium
=20
   * New upstream release (closes: #258274)
diff -u xine-lib-1-rc5/debian/rules xine-lib-1-rc5/debian/rules
--- xine-lib-1-rc5/debian/rules
+++ xine-lib-1-rc5/debian/rules
@@ -28,7 +28,7 @@
  BUILD_TARGET :=3D debug
 endif
=20
-DEB_HOST_GNU_OPTION :=3D=20
+DEB_BUILD_GNU_OPTION :=3D=20
 # the "optimize" flag disables compatibility hacks
 ifeq (,$(findstring optimize,$(DEB_BUILD_OPTIONS)))
  $(warning trying to disable machine-specific optimizations)
@@ -42,20 +42,20 @@
   $(shell echo $(DEB_HOST_GNU_TYPE)|sed -e 's/^i.86/i686/')
  DEB_BUILD_GNU_TYPE :=3D \
   $(shell echo $(DEB_BUILD_GNU_TYPE)|sed -e 's/^i.86/i686/')
- ifneq ($DEB_HOST_GNU_TYPE,$DEB_BUILD_GNU_TYPE)
+ ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   $(warning WARNING: cross compiling is not supported by xine)
   $(warning using DEB_BUILD_GNU_TYPE =3D $(DEB_BUILD_GNU_TYPE))
   $(warning ignoring DEB_HOST_GNU_TYPE =3D $(DEB_HOST_GNU_TYPE))
   DEB_HOST_GNU_TYPE :=3D $(DEB_BUILD_GNU_TYPE)
  endif
- DEB_HOST_GNU_OPTION :=3D --host=3D$(DEB_HOST_GNU_TYPE)
+ DEB_BUILD_GNU_OPTION :=3D --build=3D$(DEB_BUILD_GNU_TYPE)
 endif
=20
 configure: configure-stamp
 configure-stamp:
  dh_testdir
  ./configure --prefix=3D/usr --mandir=3D\$${prefix}/share/man \
- $(DEB_HOST_GNU_OPTION) CFLAGS=3D"$(CFLAGS)"
+ $(DEB_BUILD_GNU_OPTION) CFLAGS=3D"$(CFLAGS)"
  touch configure-stamp
=20
 build: configure-stamp build-stamp
only i...

Read more...

On Wed, 22 Sep 2004, Steve Langasek wrote:

> tags 270884 patch
> thanks

Looks good.

> The attached patch properly wraps the sparc64-specific optimizations
> with the define provided in the sources for this purpose. Unless there
> are other such problems lurking, I believe this patch is sufficient to
> resolve the FTBFS on sparc.
>
> Let me know if you want me to NMU for this problem.

If you manage to NMU the new upstream version before friday, go ahead!
Otherwise, I'll upload.

Cheers,
 Siggi

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 23 Sep 2004 08:15:58 +0200 (CEST)
From: Siggi Langauf <email address hidden>
To: Steve Langasek <email address hidden>, <email address hidden>
cc: Siggi Langauf <email address hidden>
Subject: Re: Bug#270884: xine-lib: FTBFS on sparc

On Wed, 22 Sep 2004, Steve Langasek wrote:

> tags 270884 patch
> thanks

Looks good.

> The attached patch properly wraps the sparc64-specific optimizations
> with the define provided in the sources for this purpose. Unless there
> are other such problems lurking, I believe this patch is sufficient to
> resolve the FTBFS on sparc.
>
> Let me know if you want me to NMU for this problem.

If you manage to NMU the new upstream version before friday, go ahead!
Otherwise, I'll upload.

Cheers,
 Siggi

tag 265061 + fixed
tag 270884 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 26 Sep 2004 02:22:51 +0200
Source: xine-lib
Binary: libxine-dev libxine1
Architecture: source i386
Version: 1-rc5-1.1
Distribution: unstable
Urgency: high
Maintainer: Siggi Langauf <email address hidden>
Changed-By: Frank Lichtenheld <email address hidden>
Description:
 libxine-dev - the xine video player library, development packages
 libxine1 - the xine video/media player library, binary files
Closes: 265061 270884
Changes:
 xine-lib (1-rc5-1.1) unstable; urgency=high
 .
   * Non-maintainer upload, prepared by Steve Langasek and me
   * High-urgency upload for a sarge-targetted RC fix.
   * Use --build, not --host, to specify the architecture; otherwise
     autoconf thinks we're cross-compiling when we aren't.
   * src/libffmpeg/libavcodec/sparc/dsputil_vis.c et al: make this code
     conditional on ENABLE_VIS, since that's what that define is for;
     fixes FTBFS on sparc when using a 32-bit target (closes: #270884).
   * Add patch to fix overflows when handling vcd:// MRLs
     (closes: #265061).
Files:
 3ad5b24da796d9eb841afcd82f53a969 921 libs optional xine-lib_1-rc5-1.1.dsc
 60602aa7ae2553e16051594484b12016 177483 libs optional xine-lib_1-rc5-1.1.diff.gz
 273885d8fc772bd222da4f77c0e88860 101098 libdevel optional libxine-dev_1-rc5-1.1_i386.deb
 1e4311a0d13ec13da1af42a39de2346a 3716502 libs optional libxine1_1-rc5-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBVhUSQbn06FtxPfARAmJ4AKDVshJ4CJkjFNn2T/v/rDUw1GyzcgCaAthu
n81PN7eoe57oPMT42t8Mwr0=
=LjNo
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sat, 25 Sep 2004 21:17:19 -0400
From: Frank Lichtenheld <email address hidden>
To: <email address hidden>
Cc: Frank Lichtenheld <email address hidden>, Siggi Langauf <email address hidden>
Subject: Fixed in NMU of xine-lib 1-rc5-1.1

tag 265061 + fixed
tag 270884 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 26 Sep 2004 02:22:51 +0200
Source: xine-lib
Binary: libxine-dev libxine1
Architecture: source i386
Version: 1-rc5-1.1
Distribution: unstable
Urgency: high
Maintainer: Siggi Langauf <email address hidden>
Changed-By: Frank Lichtenheld <email address hidden>
Description:
 libxine-dev - the xine video player library, development packages
 libxine1 - the xine video/media player library, binary files
Closes: 265061 270884
Changes:
 xine-lib (1-rc5-1.1) unstable; urgency=high
 .
   * Non-maintainer upload, prepared by Steve Langasek and me
   * High-urgency upload for a sarge-targetted RC fix.
   * Use --build, not --host, to specify the architecture; otherwise
     autoconf thinks we're cross-compiling when we aren't.
   * src/libffmpeg/libavcodec/sparc/dsputil_vis.c et al: make this code
     conditional on ENABLE_VIS, since that's what that define is for;
     fixes FTBFS on sparc when using a 32-bit target (closes: #270884).
   * Add patch to fix overflows when handling vcd:// MRLs
     (closes: #265061).
Files:
 3ad5b24da796d9eb841afcd82f53a969 921 libs optional xine-lib_1-rc5-1.1.dsc
 60602aa7ae2553e16051594484b12016 177483 libs optional xine-lib_1-rc5-1.1.diff.gz
 273885d8fc772bd222da4f77c0e88860 101098 libdevel optional libxine-dev_1-rc5-1.1_i386.deb
 1e4311a0d13ec13da1af42a39de2346a 3716502 libs optional libxine1_1-rc5-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBVhUSQbn06FtxPfARAmJ4AKDVshJ4CJkjFNn2T/v/rDUw1GyzcgCaAthu
n81PN7eoe57oPMT42t8Mwr0=
=LjNo
-----END PGP SIGNATURE-----

Source: xine-lib
Source-Version: 1-rc6a-1

We believe that the bug you reported is fixed in the latest version of
xine-lib, which is due to be installed in the Debian FTP archive:

libxine-dev_1-rc6a-1_powerpc.deb
  to pool/main/x/xine-lib/libxine-dev_1-rc6a-1_powerpc.deb
libxine1_1-rc6a-1_powerpc.deb
  to pool/main/x/xine-lib/libxine1_1-rc6a-1_powerpc.deb
xine-lib_1-rc6a-1.diff.gz
  to pool/main/x/xine-lib/xine-lib_1-rc6a-1.diff.gz
xine-lib_1-rc6a-1.dsc
  to pool/main/x/xine-lib/xine-lib_1-rc6a-1.dsc
xine-lib_1-rc6a.orig.tar.gz
  to pool/main/x/xine-lib/xine-lib_1-rc6a.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Siggi Langauf <email address hidden> (supplier of updated xine-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 27 Sep 2004 00:22:28 +0200
Source: xine-lib
Binary: libxine-dev libxine1
Architecture: source powerpc
Version: 1-rc6a-1
Distribution: unstable
Urgency: high
Maintainer: Siggi Langauf <email address hidden>
Changed-By: Siggi Langauf <email address hidden>
Description:
 libxine-dev - the xine video player library, development packages
 libxine1 - the xine video/media player library, binary files
Closes: 263418 265061 270884
Changes:
 xine-lib (1-rc6a-1) unstable; urgency=high
 .
   * new upstream release (closes: #263418)
     * fixes buffer overflow with vcd:// MRLs (closes: #265061)
   * merged Frank and Steve's NMU patch (closes: 270884)
Files:
 d65f9b29384869ae26a5fdabfba83c3f 918 libs optional xine-lib_1-rc6a-1.dsc
 32b231beb9b2194606a18ed7bcf2bcb3 7003035 libs optional xine-lib_1-rc6a.orig.tar.gz
 37b6aacccfc1ee5e29649da519ab4324 1610 libs optional xine-lib_1-rc6a-1.diff.gz
 99116fc63356b88834b9a0fcc24098f2 102782 libdevel optional libxine-dev_1-rc6a-1_powerpc.deb
 b10629f2fd176ec65a1fac975d406211 3949306 libs optional libxine1_1-rc6a-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBV8QDGlPdX3lx7w8RAqr+AJ0VfYJJxCX4h9l34z5tFuJYnWZOUgCcCJRW
KvwlgqZ43q/tUJIUQmckhgM=
=fwxg
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 27 Sep 2004 05:02:10 -0400
From: Siggi Langauf <email address hidden>
To: <email address hidden>
Subject: Bug#270884: fixed in xine-lib 1-rc6a-1

Source: xine-lib
Source-Version: 1-rc6a-1

We believe that the bug you reported is fixed in the latest version of
xine-lib, which is due to be installed in the Debian FTP archive:

libxine-dev_1-rc6a-1_powerpc.deb
  to pool/main/x/xine-lib/libxine-dev_1-rc6a-1_powerpc.deb
libxine1_1-rc6a-1_powerpc.deb
  to pool/main/x/xine-lib/libxine1_1-rc6a-1_powerpc.deb
xine-lib_1-rc6a-1.diff.gz
  to pool/main/x/xine-lib/xine-lib_1-rc6a-1.diff.gz
xine-lib_1-rc6a-1.dsc
  to pool/main/x/xine-lib/xine-lib_1-rc6a-1.dsc
xine-lib_1-rc6a.orig.tar.gz
  to pool/main/x/xine-lib/xine-lib_1-rc6a.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Siggi Langauf <email address hidden> (supplier of updated xine-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 27 Sep 2004 00:22:28 +0200
Source: xine-lib
Binary: libxine-dev libxine1
Architecture: source powerpc
Version: 1-rc6a-1
Distribution: unstable
Urgency: high
Maintainer: Siggi Langauf <email address hidden>
Changed-By: Siggi Langauf <email address hidden>
Description:
 libxine-dev - the xine video player library, development packages
 libxine1 - the xine video/media player library, binary files
Closes: 263418 265061 270884
Changes:
 xine-lib (1-rc6a-1) unstable; urgency=high
 .
   * new upstream release (closes: #263418)
     * fixes buffer overflow with vcd:// MRLs (closes: #265061)
   * merged Frank and Steve's NMU patch (closes: 270884)
Files:
 d65f9b29384869ae26a5fdabfba83c3f 918 libs optional xine-lib_1-rc6a-1.dsc
 32b231beb9b2194606a18ed7bcf2bcb3 7003035 libs optional xine-lib_1-rc6a.orig.tar.gz
 37b6aacccfc1ee5e29649da519ab4324 1610 libs optional xine-lib_1-rc6a-1.diff.gz
 99116fc63356b88834b9a0fcc24098f2 102782 libdevel optional libxine-dev_1-rc6a-1_powerpc.deb
 b10629f2fd176ec65a1fac975d406211 3949306 libs optional libxine1_1-rc6a-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBV8QDGlPdX3lx7w8RAqr+AJ0VfYJJxCX4h9l34z5tFuJYnWZOUgCcCJRW
KvwlgqZ43q/tUJIUQmckhgM=
=fwxg
-----END PGP SIGNATURE-----

Changed in xine-lib:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.